| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
mma8491q_DataBuffer_t Struct Reference
fsl_mma8491q_i2c_3D_accel module documentation

MMA8491Q data buffer format. More...

`#include <fsl_mma8491q_i2c_3D_accel.h>`

Collaboration diagram for mma8491q_DataBuffer_t:

## Data Fields
uint32 | timestamp
| Time stamp value in micro-seconds. More...
int16 | accel [3]
| Accelerometer raw data buffer. MMA8491Q supports X,Y,Z axes(3). More...
uint8 | xOut
| The Tilt X data from the sensor. More...
uint8 | yOut
| The Tilt Y data from the sensor. More...
uint8 | zOut
| The Tilt Z data from the sensor. More...

## Detailed Description

MMA8491Q data buffer format.

Definition at line 21 of file fsl_mma8491q_i2c_3D_accel.h.

## Field Documentation

int16 accel[3]

Accelerometer raw data buffer. MMA8491Q supports X,Y,Z axes(3).

Definition at line 24 of file fsl_mma8491q_i2c_3D_accel.h.

Referenced by fsl_mma8491q_i2c_3D_accel_Initialize(), and fsl_mma8491q_read_data_OneShotCallback().

uint32 timestamp

Time stamp value in micro-seconds.

Definition at line 23 of file fsl_mma8491q_i2c_3D_accel.h.

Referenced by fsl_mma8491q_i2c_3D_accel_Initialize(), and fsl_mma8491q_read_data_OneShotCallback().

uint8 xOut

The Tilt X data from the sensor.

Definition at line 25 of file fsl_mma8491q_i2c_3D_accel.h.

Referenced by fsl_mma8491q_i2c_3D_accel_Initialize(), and fsl_mma8491q_read_data_OneShotCallback().

uint8 yOut

The Tilt Y data from the sensor.

Definition at line 26 of file fsl_mma8491q_i2c_3D_accel.h.

Referenced by fsl_mma8491q_i2c_3D_accel_Initialize(), and fsl_mma8491q_read_data_OneShotCallback().

uint8 zOut

The Tilt Z data from the sensor.

Definition at line 27 of file fsl_mma8491q_i2c_3D_accel.h.

Referenced by fsl_mma8491q_i2c_3D_accel_Initialize(), and fsl_mma8491q_read_data_OneShotCallback().

The documentation for this struct was generated from the following file:

- SensorSpecific/fsl_mma8491q_i2c_3D_accel.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.